diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/mac_tool.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/mac_tool.py
index 055d79cf22..514e2ec16a 100755
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/mac_tool.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/mac_tool.py
@@ -30,7 +30,7 @@ def main(args):
     sys.exit(exit_code)
 
 
-class MacTool(object):
+class MacTool:
   """This class performs all the Mac tooling steps. The methods can either be
   executed directly, or dispatched from an argument list."""
 
@@ -163,14 +163,14 @@ class MacTool(object):
   def ExecCopyInfoPlist(self, source, dest, convert_to_binary, *keys):
     """Copies the |source| Info.plist to the destination directory |dest|."""
     # Read the source Info.plist into memory.
-    fd = open(source, 'r')
+    fd = open(source)
     lines = fd.read()
     fd.close()
 
     # Insert synthesized key/value pairs (e.g. BuildMachineOSBuild).
     plist = plistlib.readPlistFromString(lines)
     if keys:
-      plist = dict(plist.items() + json.loads(keys[0]).items())
+      plist = dict(list(plist.items()) + list(json.loads(keys[0]).items()))
     lines = plistlib.writePlistToString(plist)
 
     # Go through all the environment variables and replace them as variables in
@@ -203,7 +203,7 @@ class MacTool(object):
       if lines[i].strip().startswith("<string>${"):
         lines[i] = None
         lines[i - 1] = None
-    lines = '\n'.join(filter(lambda x: x is not None, lines))
+    lines = '\n'.join([x for x in lines if x is not None])
 
     # Write out the file with variables replaced.
     fd = open(dest, 'w')
@@ -237,7 +237,7 @@ class MacTool(object):
 
     dest = os.path.join(os.path.dirname(info_plist), 'PkgInfo')
     fp = open(dest, 'w')
-    fp.write('%s%s' % (package_type, signature_code))
+    fp.write('{}{}'.format(package_type, signature_code))
     fp.close()
 
   def ExecFlock(self, lockfile, *cmd_list):
@@ -266,7 +266,7 @@ class MacTool(object):
     _, err = libtoolout.communicate()
     for line in err.splitlines():
       if not libtool_re.match(line) and not libtool_re5.match(line):
-        print >>sys.stderr, line
+        print(line, file=sys.stderr)
     # Unconditionally touch the output .a file on the command line if present
     # and the command succeeded. A bit hacky.
     if not libtoolout.returncode:
@@ -331,7 +331,7 @@ class MacTool(object):
 
   def ExecCompileIosFrameworkHeaderMap(self, out, framework, *all_headers):
     framework_name = os.path.basename(framework).split('.')[0]
-    all_headers = map(os.path.abspath, all_headers)
+    all_headers = list(map(os.path.abspath, all_headers))
     filelist = {}
     for header in all_headers:
       filename = os.path.basename(header)
@@ -381,7 +381,7 @@ class MacTool(object):
       ])
     if keys:
       keys = json.loads(keys)
-      for key, value in keys.iteritems():
+      for key, value in keys.items():
         arg_name = '--' + key
         if isinstance(value, bool):
           if value:
@@ -395,7 +395,7 @@ class MacTool(object):
           command_line.append(str(value))
     # Note: actool crashes if inputs path are relative, so use os.path.abspath
     # to get absolute path name for inputs.
-    command_line.extend(map(os.path.abspath, inputs))
+    command_line.extend(list(map(os.path.abspath, inputs)))
     subprocess.check_call(command_line)
 
   def ExecMergeInfoPlist(self, output, *inputs):
@@ -476,8 +476,8 @@ class MacTool(object):
     profiles_dir = os.path.join(
         os.environ['HOME'], 'Library', 'MobileDevice', 'Provisioning Profiles')
     if not os.path.isdir(profiles_dir):
-      print >>sys.stderr, (
-          'cannot find mobile provisioning for %s' % bundle_identifier)
+      print((
+          'cannot find mobile provisioning for %s' % bundle_identifier), file=sys.stderr)
       sys.exit(1)
     provisioning_profiles = None
     if profile:
@@ -493,13 +493,13 @@ class MacTool(object):
       app_id_pattern = profile_data.get(
           'Entitlements', {}).get('application-identifier', '')
       for team_identifier in profile_data.get('TeamIdentifier', []):
-        app_id = '%s.%s' % (team_identifier, bundle_identifier)
+        app_id = '{}.{}'.format(team_identifier, bundle_identifier)
         if fnmatch.fnmatch(app_id, app_id_pattern):
           valid_provisioning_profiles[app_id_pattern] = (
               profile_path, profile_data, team_identifier)
     if not valid_provisioning_profiles:
-      print >>sys.stderr, (
-          'cannot find mobile provisioning for %s' % bundle_identifier)
+      print((
+          'cannot find mobile provisioning for %s' % bundle_identifier), file=sys.stderr)
       sys.exit(1)
     # If the user has multiple provisioning profiles installed that can be
     # used for ${bundle_identifier}, pick the most specific one (ie. the
@@ -523,7 +523,7 @@ class MacTool(object):
 
   def _MergePlist(self, merged_plist, plist):
     """Merge |plist| into |merged_plist|."""
-    for key, value in plist.iteritems():
+    for key, value in plist.items():
       if isinstance(value, dict):
         merged_value = merged_plist.get(key, {})
         if isinstance(merged_value, dict):
@@ -633,7 +633,7 @@ class MacTool(object):
       the key was not found.
     """
     if isinstance(data, str):
-      for key, value in substitutions.iteritems():
+      for key, value in substitutions.items():
         data = data.replace('$(%s)' % key, value)
       return data
     if isinstance(data, list):
@@ -663,7 +663,7 @@ def WriteHmap(output_name, filelist):
   count = len(filelist)
   capacity = NextGreaterPowerOf2(count)
   strings_offset = 24 + (12 * capacity)
-  max_value_length = len(max(filelist.items(), key=lambda (k,v):len(v))[1])
+  max_value_length = len(max(list(filelist.items()), key=lambda k_v:len(k_v[1]))[1])
 
   out = open(output_name, "wb")
   out.write(struct.pack('<LHHLLLL', magic, version, _reserved, strings_offset,
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/msvs_emulation.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/msvs_emulation.py
index e4a85a96e6..9f4b7996ec 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/msvs_emulation.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/msvs_emulation.py
@@ -94,9 +94,9 @@ def _DoRemapping(element, map):
     if not callable(map):
       map = map.get # Assume it's a dict, otherwise a callable to do the remap.
     if isinstance(element, list) or isinstance(element, tuple):
-      element = filter(None, [map(elem) for elem in element])
+      element = [_f for _f in [list(map(elem)) for elem in element] if _f]
     else:
-      element = map(element)
+      element = list(map(element))
   return element
 
 
@@ -183,7 +183,7 @@ def ExtractSharedMSVSSystemIncludes(configs, generator_flags):
   return expanded_system_includes
 
 
-class MsvsSettings(object):
+class MsvsSettings:
   """A class that understands the gyp 'msvs_...' values (especially the
   msvs_settings field). They largely correpond to the VS2008 IDE DOM. This
   class helps map those settings to command line options."""
@@ -205,7 +205,7 @@ class MsvsSettings(object):
     configs = spec['configurations']
     for field, default in supported_fields:
       setattr(self, field, {})
-      for configname, config in configs.iteritems():
+      for configname, config in configs.items():
         getattr(self, field)[configname] = config.get(field, default())
 
     self.msvs_cygwin_dirs = spec.get('msvs_cygwin_dirs', ['.'])
@@ -281,7 +281,7 @@ class MsvsSettings(object):
     result = _AddPrefix(result, prefix)
     return _AppendOrReturn(append, result)
 
-  class _GetWrapper(object):
+  class _GetWrapper:
     def __init__(self, parent, field, base_path, append=None):
       self.parent = parent
       self.field = field
@@ -472,7 +472,7 @@ class MsvsSettings(object):
       # New flag required in 2013 to maintain previous PDB behavior.
       cflags.append('/FS')
     # ninja handles parallelism by itself, don't have the compiler do it too.
-    cflags = filter(lambda x: not x.startswith('/MP'), cflags)
+    cflags = [x for x in cflags if not x.startswith('/MP')]
     return cflags
 
   def _GetPchFlags(self, config, extension):
@@ -602,7 +602,7 @@ class MsvsSettings(object):
           ('VCLinkerTool', 'StackCommitSize'), config, default='')
       if stack_commit_size:
         stack_commit_size = ',' + stack_commit_size
-      ldflags.append('/STACK:%s%s' % (stack_reserve_size, stack_commit_size))
+      ldflags.append('/STACK:{}{}'.format(stack_reserve_size, stack_commit_size))
 
     ld('TerminalServerAware', map={'1': ':NO', '2': ''}, prefix='/TSAWARE')
     ld('LinkIncremental', map={'1': ':NO', '2': ''}, prefix='/INCREMENTAL')
@@ -638,8 +638,7 @@ class MsvsSettings(object):
 
     # If the base address is not specifically controlled, DYNAMICBASE should
     # be on by default.
-    base_flags = filter(lambda x: 'DYNAMICBASE' in x or x == '/FIXED',
-                        ldflags)
+    base_flags = [x for x in ldflags if 'DYNAMICBASE' in x or x == '/FIXED']
     if not base_flags:
       ldflags.append('/DYNAMICBASE')
 
@@ -647,10 +646,10 @@ class MsvsSettings(object):
     # documentation that says this only defaults to on when the subsystem is
     # Vista or greater (which applies to the linker), the IDE defaults it on
     # unless it's explicitly off.
-    if not filter(lambda x: 'NXCOMPAT' in x, ldflags):
+    if not [x for x in ldflags if 'NXCOMPAT' in x]:
       ldflags.append('/NXCOMPAT')
 
-    have_def_file = filter(lambda x: x.startswith('/DEF:'), ldflags)
+    have_def_file = [x for x in ldflags if x.startswith('/DEF:')]
     manifest_flags, intermediate_manifest, manifest_files = \
         self._GetLdManifestFlags(config, manifest_base_name, gyp_to_build_path,
                                  is_executable and not have_def_file, build_dir)
@@ -716,10 +715,10 @@ class MsvsSettings(object):
 <trustInfo xmlns="urn:schemas-microsoft-com:asm.v3">
   <security>
     <requestedPrivileges>
-      <requestedExecutionLevel level='%s' uiAccess='%s' />
+      <requestedExecutionLevel level='{}' uiAccess='{}' />
     </requestedPrivileges>
   </security>
-</trustInfo>''' % (execution_level_map[execution_level], ui_access)
+</trustInfo>'''.format(execution_level_map[execution_level], ui_access)
     else:
       inner = ''
 
@@ -806,7 +805,7 @@ class MsvsSettings(object):
     bash_cmd = ' '.join(args)
     cmd = (
         'call "%s\\setup_env.bat" && set CYGWIN=nontsec && ' % cygwin_dir +
-        'bash -c "%s ; %s"' % (cd, bash_cmd))
+        'bash -c "{} ; {}"'.format(cd, bash_cmd))
     return cmd
 
   def IsRuleRunUnderCygwin(self, rule):
@@ -873,7 +872,7 @@ def _LanguageMatchesForPch(source_ext, pch_source_ext):
           (source_ext in cc_exts and pch_source_ext in cc_exts))
 
 
-class PrecompiledHeader(object):
+class PrecompiledHeader:
   """Helper to generate dependencies and build rules to handle generation of
   precompiled headers. Interface matches the GCH handler in xcode_emulation.py.
   """
@@ -917,10 +916,10 @@ class PrecompiledHeader(object):
     if input == self.pch_source:
       pch_output = ['/Yc' + self._PchHeader()]
       if command == 'cxx':
-        return ([('cflags_cc', map(expand_special, cflags_cc + pch_output))],
+        return ([('cflags_cc', list(map(expand_special, cflags_cc + pch_output)))],
                 self.output_obj, [])
       elif command == 'cc':
-        return ([('cflags_c', map(expand_special, cflags_c + pch_output))],
+        return ([('cflags_c', list(map(expand_special, cflags_c + pch_output)))],
                 self.output_obj, [])
     return [], output, implicit
 
@@ -942,7 +941,7 @@ def ExpandMacros(string, expansions):
   """Expand $(Variable) per expansions dict. See MsvsSettings.GetVSMacroEnv
   for the canonical way to retrieve a suitable dict."""
   if '$' in string:
-    for old, new in expansions.iteritems():
+    for old, new in expansions.items():
       assert '$(' not in new, new
       string = string.replace(old, new)
   return string
@@ -990,7 +989,7 @@ def _FormatAsEnvironmentBlock(envvar_dict):
   CreateProcess documentation for more details."""
   block = ''
   nul = '\0'
-  for key, value in envvar_dict.iteritems():
+  for key, value in envvar_dict.items():
     block += key + '=' + value + nul
   block += nul
   return block
@@ -1065,9 +1064,9 @@ def VerifyMissingSources(sources, build_dir, generator_flags, gyp_to_ninja):
   VS, and we want this check to match for people/bots that build using ninja,
   so they're not surprised when the VS build fails."""
   if int(generator_flags.get('msvs_error_on_missing_sources', 0)):
-    no_specials = filter(lambda x: '$' not in x, sources)
+    no_specials = [x for x in sources if '$' not in x]
     relative = [os.path.join(build_dir, gyp_to_ninja(s)) for s in no_specials]
-    missing = filter(lambda x: not os.path.exists(x), relative)
+    missing = [x for x in relative if not os.path.exists(x)]
     if missing:
       # They'll look like out\Release\..\..\stuff\things.cc, so normalize the
       # path for a slightly less crazy looking output.
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/ninja_syntax.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/ninja_syntax.py
index d2948f06c0..e260398af8 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/ninja_syntax.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/ninja_syntax.py
@@ -15,7 +15,7 @@ import re
 def escape_path(word):
     return word.replace('$ ','$$ ').replace(' ','$ ').replace(':', '$:')
 
-class Writer(object):
+class Writer:
     def __init__(self, output, width=78):
         self.output = output
         self.width = width
@@ -31,8 +31,8 @@ class Writer(object):
         if value is None:
             return
         if isinstance(value, list):
-            value = ' '.join(filter(None, value))  # Filter out empty strings.
-        self._line('%s = %s' % (key, value), indent)
+            value = ' '.join([_f for _f in value if _f])  # Filter out empty strings.
+        self._line('{} = {}'.format(key, value), indent)
 
     def pool(self, name, depth):
         self._line('pool %s' % name)
@@ -68,15 +68,15 @@ class Writer(object):
         all_inputs = list(map(escape_path, all_inputs))
 
         if implicit:
-            implicit = map(escape_path, self._as_list(implicit))
+            implicit = list(map(escape_path, self._as_list(implicit)))
             all_inputs.append('|')
             all_inputs.extend(implicit)
         if order_only:
-            order_only = map(escape_path, self._as_list(order_only))
+            order_only = list(map(escape_path, self._as_list(order_only)))
             all_inputs.append('||')
             all_inputs.extend(order_only)
 
-        self._line('build %s: %s' % (' '.join(out_outputs),
+        self._line('build {}: {}'.format(' '.join(out_outputs),
                                         ' '.join([rule] + all_inputs)))
 
         if variables:
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/ordered_dict.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/ordered_dict.py
index a1e89f9199..a1be68ec57 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/ordered_dict.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/ordered_dict.py
@@ -30,9 +30,9 @@
 # Passes Python2.7's test suite and incorporates all the latest updates.
 
 try:
-    from thread import get_ident as _get_ident
+    from _thread import get_ident as _get_ident
 except ImportError:
-    from dummy_thread import get_ident as _get_ident
+    from _thread import get_ident as _get_ident
 
 try:
     from _abcoll import KeysView, ValuesView, ItemsView
@@ -106,7 +106,7 @@ class OrderedDict(dict):
     def clear(self):
         'od.clear() -> None.  Remove all items from od.'
         try:
-            for node in self.__map.itervalues():
+            for node in self.__map.values():
                 del node[:]
             root = self.__root
             root[:] = [root, root, None]
@@ -231,8 +231,8 @@ class OrderedDict(dict):
         _repr_running[call_key] = 1
         try:
             if not self:
-                return '%s()' % (self.__class__.__name__,)
-            return '%s(%r)' % (self.__class__.__name__, self.items())
+                return '{}()'.format(self.__class__.__name__)
+            return '{}({!r})'.format(self.__class__.__name__, list(self.items()))
         finally:
             del _repr_running[call_key]
 
@@ -267,7 +267,7 @@ class OrderedDict(dict):
 
         '''
         if isinstance(other, OrderedDict):
-            return len(self)==len(other) and self.items() == other.items()
+            return len(self)==len(other) and list(self.items()) == list(other.items())
         return dict.__eq__(self, other)
 
     def __ne__(self, other):
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/simple_copy.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/simple_copy.py
index 74c98c5a79..571baa4193 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/simple_copy.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/simple_copy.py
@@ -28,8 +28,8 @@ _deepcopy_dispatch = d = {}
 def _deepcopy_atomic(x):
   return x
 
-for x in (type(None), int, long, float,
-          bool, str, unicode, type):
+for x in (type(None), int, int, float,
+          bool, str, str, type):
   d[x] = _deepcopy_atomic
 
 def _deepcopy_list(x):
@@ -38,7 +38,7 @@ d[list] = _deepcopy_list
 
 def _deepcopy_dict(x):
   y = {}
-  for key, value in x.iteritems():
+  for key, value in x.items():
     y[deepcopy(key)] = deepcopy(value)
   return y
 d[dict] = _deepcopy_dict
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/win_tool.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/win_tool.py
index 1c843a0b6c..a5fb64e86a 100755
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/win_tool.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/win_tool.py
@@ -30,7 +30,7 @@ def main(args):
     sys.exit(exit_code)
 
 
-class WinTool(object):
+class WinTool:
   """This class performs all the Windows tooling steps. The methods can either
   be executed directly, or dispatched from an argument list."""
 
@@ -134,7 +134,7 @@ class WinTool(object):
       if (not line.startswith('   Creating library ') and
           not line.startswith('Generating code') and
           not line.startswith('Finished generating code')):
-        print line
+        print(line)
     return link.returncode
 
   def ExecLinkWithManifests(self, arch, embed_manifest, out, ldcmd, resname,
@@ -223,7 +223,7 @@ class WinTool(object):
     out, _ = popen.communicate()
     for line in out.splitlines():
       if line and 'manifest authoring warning 81010002' not in line:
-        print line
+        print(line)
     return popen.returncode
 
   def ExecManifestToRc(self, arch, *args):
@@ -232,7 +232,7 @@ class WinTool(object):
     and resource name which can be "1" (for executables) or "2" (for DLLs)."""
     manifest_path, resource_path, resource_name = args
     with open(resource_path, 'wb') as output:
-      output.write('#include <windows.h>\n%s RT_MANIFEST "%s"' % (
+      output.write('#include <windows.h>\n{} RT_MANIFEST "{}"'.format(
         resource_name,
         os.path.abspath(manifest_path).replace('\\', '/')))
 
@@ -259,11 +259,11 @@ class WinTool(object):
     # objidl.idl
     lines = out.splitlines()
     prefixes = ('Processing ', '64 bit Processing ')
-    processing = set(os.path.basename(x)
-                     for x in lines if x.startswith(prefixes))
+    processing = {os.path.basename(x)
+                     for x in lines if x.startswith(prefixes)}
     for line in lines:
       if not line.startswith(prefixes) and line not in processing:
-        print line
+        print(line)
     return popen.returncode
 
   def ExecAsmWrapper(self, arch, *args):
@@ -277,7 +277,7 @@ class WinTool(object):
           not line.startswith('Microsoft (R) Macro Assembler') and
           not line.startswith(' Assembling: ') and
           line):
-        print line
+        print(line)
     return popen.returncode
 
   def ExecRcWrapper(self, arch, *args):
@@ -291,7 +291,7 @@ class WinTool(object):
       if (not line.startswith('Microsoft (R) Windows (R) Resource Compiler') and
           not line.startswith('Copyright (C) Microsoft Corporation') and
           line):
-        print line
+        print(line)
     return popen.returncode
 
   def ExecActionWrapper(self, arch, rspfile, *dir):
@@ -300,7 +300,7 @@ class WinTool(object):
     env = self._GetEnv(arch)
     # TODO(scottmg): This is a temporary hack to get some specific variables
     # through to actions that are set after gyp-time. http://crbug.com/333738.
-    for k, v in os.environ.iteritems():
+    for k, v in os.environ.items():
       if k not in env:
         env[k] = v
     args = open(rspfile).read()
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/xcode_emulation.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/xcode_emulation.py
index dba8e7699e..b99d5eac27 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/xcode_emulation.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/xcode_emulation.py
@@ -36,7 +36,7 @@ def XcodeArchsVariableMapping(archs, archs_including_64_bit=None):
     mapping['$(ARCHS_STANDARD_INCLUDING_64_BIT)'] = archs_including_64_bit
   return mapping
 
-class XcodeArchsDefault(object):
+class XcodeArchsDefault:
   """A class to resolve ARCHS variable from xcode_settings, resolving Xcode
   macros and implementing filtering by VALID_ARCHS. The expansion of macros
   depends on the SDKROOT used ("macosx", "iphoneos", "iphonesimulator") and
@@ -73,7 +73,7 @@ class XcodeArchsDefault(object):
             if arch not in expanded_archs:
               expanded_archs.append(arch)
         except KeyError as e:
-          print 'Warning: Ignoring unsupported variable "%s".' % variable
+          print('Warning: Ignoring unsupported variable "%s".' % variable)
       elif arch not in expanded_archs:
         expanded_archs.append(arch)
     return expanded_archs
@@ -141,7 +141,7 @@ def GetXcodeArchsDefault():
   return XCODE_ARCHS_DEFAULT_CACHE
 
 
-class XcodeSettings(object):
+class XcodeSettings:
   """A class that understands the gyp 'xcode_settings' object."""
 
   # Populated lazily by _SdkPath(). Shared by all XcodeSettings, so cached
@@ -171,7 +171,7 @@ class XcodeSettings(object):
     # the same for all configs are implicitly per-target settings.
     self.xcode_settings = {}
     configs = spec['configurations']
-    for configname, config in configs.iteritems():
+    for configname, config in configs.items():
       self.xcode_settings[configname] = config.get('xcode_settings', {})
       self._ConvertConditionalKeys(configname)
       if self.xcode_settings[configname].get('IPHONEOS_DEPLOYMENT_TARGET',
@@ -197,8 +197,8 @@ class XcodeSettings(object):
           new_key = key.split("[")[0]
           settings[new_key] = settings[key]
       else:
-        print 'Warning: Conditional keys not implemented, ignoring:', \
-              ' '.join(conditional_keys)
+        print('Warning: Conditional keys not implemented, ignoring:', \
+              ' '.join(conditional_keys))
       del settings[key]
 
   def _Settings(self):
@@ -216,7 +216,7 @@ class XcodeSettings(object):
 
   def _WarnUnimplemented(self, test_key):
     if test_key in self._Settings():
-      print 'Warning: Ignoring not yet implemented key "%s".' % test_key
+      print('Warning: Ignoring not yet implemented key "%s".' % test_key)
 
   def IsBinaryOutputFormat(self, configname):
     default = "binary" if self.isIOS else "xml"
@@ -271,7 +271,7 @@ class XcodeSettings(object):
       else:
         return '.' + self.spec.get('product_extension', 'app')
     else:
-      assert False, "Don't know extension for '%s', target '%s'" % (
+      assert False, "Don't know extension for '{}', target '{}'".format(
           self.spec['type'], self.spec['target_name'])
 
   def GetProductName(self):
@@ -963,7 +963,7 @@ class XcodeSettings(object):
         result = dict(self.xcode_settings[configname])
         first_pass = False
       else:
-        for key, value in self.xcode_settings[configname].iteritems():
+        for key, value in self.xcode_settings[configname].items():
           if key not in result:
             continue
           elif result[key] != value:
@@ -1023,7 +1023,7 @@ class XcodeSettings(object):
 
       if not quiet:
         result.append('echo STRIP\\(%s\\)' % self.spec['target_name'])
-      result.append('strip %s %s' % (strip_flags, output_binary))
+      result.append('strip {} {}'.format(strip_flags, output_binary))
 
     self.configname = None
     return result
@@ -1042,7 +1042,7 @@ class XcodeSettings(object):
         self.spec['type'] != 'static_library'):
       if not quiet:
         result.append('echo DSYMUTIL\\(%s\\)' % self.spec['target_name'])
-      result.append('dsymutil %s -o %s' % (output_binary, output + '.dSYM'))
+      result.append('dsymutil {} -o {}'.format(output_binary, output + '.dSYM'))
 
     self.configname = None
     return result
@@ -1074,7 +1074,7 @@ class XcodeSettings(object):
       source = os.path.join("${BUILT_PRODUCTS_DIR}", product_name)
       test_host = os.path.dirname(settings.get('TEST_HOST'));
       xctest_destination = os.path.join(test_host, 'PlugIns', product_name)
-      postbuilds.extend(['ditto %s %s' % (source, xctest_destination)])
+      postbuilds.extend(['ditto {} {}'.format(source, xctest_destination)])
 
     key = self._GetIOSCodeSignIdentityKey(settings)
     if not key:
@@ -1084,8 +1084,8 @@ class XcodeSettings(object):
     unimpl = ['OTHER_CODE_SIGN_FLAGS']
     unimpl = set(unimpl) & set(self.xcode_settings[configname].keys())
     if unimpl:
-      print 'Warning: Some codesign keys not implemented, ignoring: %s' % (
-          ', '.join(sorted(unimpl)))
+      print('Warning: Some codesign keys not implemented, ignoring: %s' % (
+          ', '.join(sorted(unimpl))))
 
     if self._IsXCTest():
       # For device xctests, Xcode copies two extra frameworks into $TEST_HOST.
@@ -1098,10 +1098,10 @@ class XcodeSettings(object):
       for framework in frameworks:
         source = os.path.join(platform_root, framework)
         destination = os.path.join(frameworks_dir, os.path.basename(framework))
-        postbuilds.extend(['ditto %s %s' % (source, destination)])
+        postbuilds.extend(['ditto {} {}'.format(source, destination)])
 
         # Then re-sign everything with 'preserve=True'
-        postbuilds.extend(['%s code-sign-bundle "%s" "%s" "%s" "%s" %s' % (
+        postbuilds.extend(['{} code-sign-bundle "{}" "{}" "{}" "{}" {}'.format(
             os.path.join('${TARGET_BUILD_DIR}', 'gyp-mac-tool'), key,
             settings.get('CODE_SIGN_ENTITLEMENTS', ''),
             settings.get('PROVISIONING_PROFILE', ''), destination, True)
@@ -1109,13 +1109,13 @@ class XcodeSettings(object):
       plugin_dir = os.path.join(test_host, 'PlugIns')
       targets = [os.path.join(plugin_dir, product_name), test_host]
       for target in targets:
-        postbuilds.extend(['%s code-sign-bundle "%s" "%s" "%s" "%s" %s' % (
+        postbuilds.extend(['{} code-sign-bundle "{}" "{}" "{}" "{}" {}'.format(
             os.path.join('${TARGET_BUILD_DIR}', 'gyp-mac-tool'), key,
             settings.get('CODE_SIGN_ENTITLEMENTS', ''),
             settings.get('PROVISIONING_PROFILE', ''), target, True)
         ])
 
-    postbuilds.extend(['%s code-sign-bundle "%s" "%s" "%s" "%s" %s' % (
+    postbuilds.extend(['{} code-sign-bundle "{}" "{}" "{}" "{}" {}'.format(
         os.path.join('${TARGET_BUILD_DIR}', 'gyp-mac-tool'), key,
         settings.get('CODE_SIGN_ENTITLEMENTS', ''),
         settings.get('PROVISIONING_PROFILE', ''),
@@ -1272,7 +1272,7 @@ class XcodeSettings(object):
     return ''
 
 
-class MacPrefixHeader(object):
+class MacPrefixHeader:
   """A class that helps with emulating Xcode's GCC_PREFIX_HEADER feature.
 
   This feature consists of several pieces:
@@ -1725,7 +1725,7 @@ def _TopologicallySortedEnvVarKeys(env):
     # definition contains all variables it references in a single string.
     # We can then reverse the result of the topological sort at the end.
     # Since: reverse(topsort(DAG)) = topsort(reverse_edges(DAG))
-    matches = set([v for v in regex.findall(env[node]) if v in env])
+    matches = {v for v in regex.findall(env[node]) if v in env}
     for dependee in matches:
       assert '${' not in dependee, 'Nested variables not supported: ' + dependee
     return matches
@@ -1734,10 +1734,10 @@ def _TopologicallySortedEnvVarKeys(env):
     # Topologically sort, and then reverse, because we used an edge definition
     # that's inverted from the expected result of this function (see comment
     # above).
-    order = gyp.common.TopologicallySorted(env.keys(), GetEdges)
+    order = gyp.common.TopologicallySorted(list(env.keys()), GetEdges)
     order.reverse()
     return order
-  except gyp.common.CycleError, e:
+  except gyp.common.CycleError as e:
     raise GypError(
         'Xcode environment variables are cyclically dependent: ' + str(e.nodes))
 
@@ -1755,7 +1755,7 @@ def GetSpecPostbuildCommands(spec, quiet=False):
   postbuilds = []
   for postbuild in spec.get('postbuilds', []):
     if not quiet:
-      postbuilds.append('echo POSTBUILD\\(%s\\) %s' % (
+      postbuilds.append('echo POSTBUILD\\({}\\) {}'.format(
             spec['target_name'], postbuild['postbuild_name']))
     postbuilds.append(gyp.common.EncodePOSIXShellList(postbuild['action']))
   return postbuilds
@@ -1774,10 +1774,10 @@ def _HasIOSTarget(targets):
 def _AddIOSDeviceConfigurations(targets):
   """Clone all targets and append -iphoneos to the name. Configure these targets
   to build for iOS devices and use correct architectures for those builds."""
-  for target_dict in targets.itervalues():
+  for target_dict in targets.values():
     toolset = target_dict['toolset']
     configs = target_dict['configurations']
-    for config_name, simulator_config_dict in dict(configs).iteritems():
+    for config_name, simulator_config_dict in dict(configs).items():
       iphoneos_config_dict = copy.deepcopy(simulator_config_dict)
       configs[config_name + '-iphoneos'] = iphoneos_config_dict
       configs[config_name + '-iphonesimulator'] = simulator_config_dict
